Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Interface XdrStreamAccess

public interface XdrStreamAccess
Provides access to the `XdrInputStream` and `XdrOutputStream`.

Since:
  3.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`XdrInputStream`
`getXdrIn()`
Gets the XdrInputStream.
`XdrOutputStream`
`getXdrOut()`
Gets the XdrOutputStream.

## Method Details

### getXdrIn

XdrInputStream getXdrIn() throws SQLException
Gets the XdrInputStream.

Returns:
  Instance of XdrInputStream
Throws:
  `SQLException` - If no connection is opened or when exceptions occur retrieving the InputStream

### getXdrOut

XdrOutputStream getXdrOut() throws SQLException
Gets the XdrOutputStream.

Returns:
  Instance of XdrOutputStream
Throws:
  `SQLException` - If no connection is opened or when exceptions occur retrieving the OutputStream